condor_off(1)

Name

condor_offShutdown HTCondor daemons

Synopsis
condor_off[-help | -version]

condor_off[-graceful | -fast | -peaceful | -force-graceful] [-annex name] [-debug] [-pool centralmanagerhostname[:portnumber]] [ -name hostname| hostname| -addr "<a.b.c.d:port>"| "<a.b.c.d:port>"| -constraint expression| -all] [-daemon daemonname]

Description

condor_offshuts down a set of the HTCondor daemons running on a set of one or more machines. It does this cleanly so that checkpointable jobs may gracefully exit with minimal loss of work.

The command condor_offwithout any arguments will shut down all daemons except condor_master, unless -annex nameis specified. The condor_mastercan then handle both local and remote requests to restart the other HTCondor daemons if need be. To restart HTCondor running on a machine, see the condor_oncommand.

With the -daemon masteroption, condor_offwill shut down all daemons including the condor_master. Specification using the -daemonoption will shut down only the specified daemon.

For security reasons of authentication and authorization, this command requires ADMINISTRATORlevel of access.

Options

-help

    Display usage information

-version

    Display version information

-graceful

    Gracefully shutdown daemons (the default)

-fast

    Quickly shutdown daemons. A minimum of the first two characters of this option must be specified, to distinguish it from the -force-gracefulcommand.

-peaceful

    Wait indefinitely for jobs to finish

-force-graceful

    Force a graceful shutdown, even after issuing a -peacefulcommand. A minimum of the first two characters of this option must be specified, to distinguish it from the -fastcommand.

-annex name

    Turn off master daemons in the specified annex. By default this will result in the corresponding instances shutting down.

-debug

    Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG.

-pool centralmanagerhostname[:portnumber]

    Specify a pool by giving the central manager's host name and an optional port number

-name hostname

    Send the command to a machine identified by hostname

hostname

    Send the command to a machine identified by hostname

-addr <a.b.c.d:port>

    Send the command to a machine's master located at "<a.b.c.d:port>"

<a.b.c.d:port>

    Send the command to a machine located at "<a.b.c.d:port>"

-constraint expression

    Apply this command only to machines matching the given ClassAd expression

-all

    Send the command to all machines in the pool

-daemon daemonname

    Send the command to the named daemon. Without this option, the command is sent to the condor_masterdaemon.

Exit Status
condor_offwill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Examples
To shut down all daemons (other than condor_master) on the local host:

% condor_off

To shut down only the condor_collectoron three named machines:

% condor_off cinnamon cloves vanilla -daemon collector

To shut down daemons within a pool of machines other than the local pool, use the -pooloption. The argument is the name of the central manager for the pool. Note that one or more machines within the pool must be specified as the targets for the command. This command shuts down all daemons except the condor_masteron the single machine named cae17within the pool of machines that has condor.cae.wisc.eduas its central manager:

% condor_off -pool condor.cae.wisc.edu -name cae17

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.